* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}



body {
    font-family: 'Segoe UI', sans-serif;
        background-color: #d1d5d8;
    background-image:
        linear-gradient(90deg, rgba(0, 0, 0, 0.06) 2px, transparent 2px),
        linear-gradient(rgba(0, 0, 0, 0.06) 2px, transparent 2px);
    background-size: 70px 70px;
}

header {
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: space-between;
    padding: 20px 50px;
    height: 13vh;
    background-color: #111111;
}

.div-header-e {
    display: flex;
    align-items: center;
    background: linear-gradient(to right, #00dd74, #00abff);
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
}

.div-header-e img {
    margin-top: 6px;
    width: 60px;
    height: auto;
    margin-right: 10px;
}

#header-h1 {
    font-size: 22px;
}

nav {
    margin: 0 auto;
}

#nav-ul {

    display: flex;
    gap: 0px 35px;
    list-style: none;
}

.nav-li {
    box-shadow: 0px 0px 10px #d1d5d8;
}


#nav-ul li a {
    display: flex;
    text-decoration: none;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: 50px;
    width: 110px;
    font-size: 16px;
    border-radius: 14px;
    color: #d1d5d8;
    font-weight: bold;
    transition: 0.5s;
}

#nav-ul li a:hover {
    transform: scale(1.1);
    background: linear-gradient(to right, #00dd74, #00abff);
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
    box-shadow: 0px 0px 10px #00dd74, #00abff;
}

#nav-ul:hover>li a:not(:hover) {
    filter: blur(2px);
    transform: scale(0.9);
}

.div-log {
    display: flex;
    gap: 0px 20px;
    font-size: 14px;
}

.a-log {
    text-decoration: none;
    background: linear-gradient(to right, #00dd74, #00abff);
    color: whitesmoke;
    padding: 12px 16px;
    border-radius: 30px;
    font-weight: bold;

}

.a-log:hover {
    transform: scale(1.15);
    box-shadow: 0 5px 20px rgba(0, 171, 255, 0.6);
    background: linear-gradient(to right, #00abff, #00dd74);
}


#mida-fons {
    display: flex;
    align-items: center;
    min-height: 85vh;
}

#fons {
    background-image: url(imatges/image\ \(1\).jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 50vh;
    width: 90%;
    margin: 4% auto 3%;
    border-radius: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    box-shadow: 10px 10px 10px #00dd74;
}



#h1-inicial {
    font-size: 50px;
    text-align: center;

    background: linear-gradient(to bottom, #00dd74, #00abff);
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
    text-shadow: 0px 0px 50px whitesmoke;

}




#div-principal {
    display: flex;
    max-width: 1200px;
    margin: 50px auto;
    background: whitesmoke;
    border-radius: 15px;
    box-shadow: 0 0 10px #111111;
}

#div-info {
    flex: 1;
    padding: 40px;
    background: linear-gradient(#00dd74, #00abff);
    color: black;
}

#div-info h2 {
    font-size: 28px;
    margin-bottom: 20px;
}

#div-info p {
    margin-bottom: 40px;
}

.div-explicacio {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.div-explicacio i {
    font-size: 20px;
    margin-right: 15px;
    margin-bottom: 40px;
    color: whitesmoke;
}

.xarxes-socials {
    margin-top: 40px;
}

.xarxes-socials a {
    display: inline-block;
    width: 40px;
    height: 40px;
    background: rgba(59, 59, 59, 0.2);
    border-radius: 50%;
    margin-right: 10px;
    text-align: center;
    line-height: 40px;
    color: whitesmoke;
    transition: transform 0.3s ease;
}

.xarxes-socials a:hover {
    background: whitesmoke;
    color: #00abff;
    transform: translateY(-3px);
}

.from-formulari {
    flex: 1;
    padding: 40px;
}

.from-formulari h2 {
    font-size: 28px;
    margin-bottom: 20px;
    color: #333;
}

.div-estructura {
    margin-bottom: 20px;
}

.div-estructura label {
    display: block;
    margin-bottom: 5px;
    font-weight: 600;
    margin-top: 20px;
    color: #555;
}

.div-estructura input, .div-estructura textarea {
    width: 100%;
    padding: 12px;
    border: 1px solid whitesmoke;
    border-radius: 15px;
    font-size: 16px;
    transition: 3ms;
}

.div-estructura input:focus, .div-estructura textarea:focus {
    outline: none;
    box-shadow: 0 0 5px #00dd74;
}

textarea {
    resize: vertical;
    min-height: 120px;
}

.boto-enviar {
    background: linear-gradient(135deg, #00abff, #00abff, white, #00abff, #00abff);
    color: black;
    border: none;
    padding: 12px 30px;
    font-size: 16px;
    font-weight: 600;
    border-radius: 5px;
    cursor: pointer;
    transition: all 0.3s ease;
    width: 100%;
}

.boto-enviar:hover {
    transform: translateY(-2px);
    box-shadow: 0 5px 15px rgba(110, 142, 251, 0.4);
}



#footer {
    background-color: #111;
    padding: 40px 20px 20px;
}

.footer-fons {
    display: flex;
    justify-content: space-between;
    max-width: 1200px;
    margin: auto;
    font-size: 14px;
}

.footer-logo {
    display: flex;
    align-items: center;
    max-width: 400px;
}

.footer-logo img {
    width: 60px;
    margin-right: 15px;
}

.footer-logo p {
    color: whitesmoke;
    font-size: 16px;
}

.footer-links h4, .footer-contacte h4 {
    font-size: 18px;
    margin-bottom: 12px;
    color: #00dd74;
}

.footer-links ul {
    list-style: none;
    padding: 0;
}

.footer-links ul li a {
    font-size: 16px;
    color: whitesmoke;
    text-decoration: none;
}

.footer-links ul li a:hover {
    color: #00abff;
}

.footer-contacte p {
    font-size: 16px;
    color: whitesmoke;
    margin: 6px;
}

.footer-bottom {
    text-align: center;
    border-top: 1px solid #d1d5d8;
    padding-top: 15px;
    font-size: 14px;
    color: #888888;
    margin-top: 30px;
}





@media (max-width: 870px) {


    header {
        padding-left: 20px;
        padding-right: 20px;
    }

    #img-logo {
        display: none;
    }

    .nav {
        background-color: rgb(34, 37, 49);
        height: 100vh;
        width: 100%;
        max-width: auto;
        position: fixed;
        top: -100%;
        left: 0;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
        font-size: 48px;
        transition: .3s ease;
    }

    .nav.active {
        top: 0;
    }

    #nav-ul {
        flex-direction: column;
        gap: 50px;
    }

    #nav-ul li a {
        height: 70px;
        width: 130px;
    }

    .menu-nav {
        height: 50px;
        width: 40px;
        position: relative;
    }

    .menu-nav span {
        height: 5px;
        width: 100%;
        background-color: #00abff;
        border-radius: 25px;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        transition: 0.5s;
    }

    .menu-nav span:nth-child(1) {
        top: 25%;
    }

    .menu-nav span:nth-child(3) {
        top: 75%;
    }

    .menu-nav.active span {
        background-color: white;
    }

    .menu-nav.active span:nth-child(1) {
        top: 50%;
        transform: translate(-50%, -50%) rotate(45deg);
    }

    .menu-nav.active span:nth-child(2) {
        opacity: 0;
    }

    .menu-nav.active span:nth-child(3) {
        top: 50%;
        transform: translate(-50%, -50%) rotate(-45deg);
    }

    .div-log {
        gap: 0px 10px;
        font-size: 11px;
    }

    .a-log {
        padding: 8px 12px;
    }

    .a-log:hover {
        transform: scale(1.1);
    }

    #div-principal {
        margin: 50px 20px;
        flex-direction: column;
    }

    .fons-2 {
        margin-bottom: 100px;
    }

    .footer-fons {
        flex-direction: column;
        text-align: center;
        gap: 30px;
    }

    
}